ROGUENAROK-PARALLEL(1)

NAME
roguenarok-parallel - implements the RogueNaRok algorithm for rogue taxon identification (parallel version)

SYNOPSIS
roguenarok-parallel -i <bootTrees> -n <runId> [-x <excludeFile>] [-c <threshold>] [-b] [-s <dropsetSize>] [-w <workingDir>] [-h]

OPTIONS

  OBLIGATORY

-i <bootTrees>
    A collection of bootstrap trees.

-n <runId>
    An identifier for this run.

-T <num>
    Execute RogueNaRok in parallel with <num> threads.

  OPTIONAL

-t <bestKnownTree>
    If a single best-known tree (such as an ML or MP tree) is provided, RogueNaRok optimizes the bootstrap support in this best-known tree (still drawn from the bootstrap trees). The threshold parameter is ignored.

-x <excludeFile>
    taxa in this file (one taxon per line) will not be considered for pruning.

-c <threshold>
    A threshold or mode for the consensus tree that is optimized. Specify a value between 50 (majority rule consensus) and 100 (strict consensus) or MR (for the extended majority rule consensus). Note that rogue taxa identified with respect to different thresholds can vary substantially. DEFAULT: MR consensus

-b  Instead of trying to maximize the support in the consensus tree, the RogueNaRok will try to maximize the number of bipartition in the final tree by pruning taxa. DEFAULT: off

-L <factor>
    a weight factor to penalize for dropset size. Factor=1 is Pattengale's criterion. The higher the value, the more conservative the algorithm is in pruning taxa. DEFAULT: 0.0 (=RBIC)

-s <dropsetSize>
    maximum size of dropset per iteration. If dropsetSize == n, then RogueNaRok will test in each iteration which tuple of n taxa increases optimality criterion the most and prunes taxa accordingly. This improves the result, but runtimes will increase at least linearly. DEFAULT: 1

-w <workDir>
    A working directory where output files are created.

-h  This help file.

EXAMPLES

    roguenarok-parallel -T2 -i <bootstrapTreeFile> -n run1

AUTHOR
RogueNaRok was released by Andre J. Aberer in 2011-10-25.

This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.